Canon SDK 7 or 8